package com.kingdee.eas.custom.synctask.task;

import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;
import com.kingdee.eas.framework.Result;
import com.kingdee.eas.framework.LineResult;
import com.kingdee.eas.framework.exception.EASMultiException;
import com.kingdee.bos.dao.ormapping.ObjectUuidPK;

import com.kingdee.eas.common.EASBizException;
import java.lang.String;



public abstract class AbstractSynPersonToPunchCardFacadeControllerBean extends AbstractBizControllerBean implements SynPersonToPunchCardFacadeController
{
    protected AbstractSynPersonToPunchCardFacadeControllerBean()
    {
    }

    protected BOSObjectType getBOSType()
    {
        return new BOSObjectType("E86B4FB3");
    }

    public void updatePerson(Context ctx, String personNumbers) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("6db1769f-0802-4879-b726-8023ea5a454c"), new Object[]{ctx, personNumbers});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _updatePerson(ctx, personNumbers);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _updatePerson(Context ctx, String personNumbers) throws BOSException, EASBizException
    {    	
        return;
    }

    public void dimissionPerson(Context ctx, String personNumbers) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("316ebe86-8f48-43ff-a818-48a8d697df86"), new Object[]{ctx, personNumbers});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _dimissionPerson(ctx, personNumbers);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _dimissionPerson(Context ctx, String personNumbers) throws BOSException, EASBizException
    {    	
        return;
    }

    public void recoverPerson(Context ctx, int offSet) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("f37075a8-3791-4dc8-abd3-bed376178d6b"), new Object[]{ctx, new Integer(offSet)});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _recoverPerson(ctx, offSet);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _recoverPerson(Context ctx, int offSet) throws BOSException, EASBizException
    {    	
        return;
    }

    public void initializePerson(Context ctx) throws BOSException, EASBizException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("88d05883-070c-4ac7-89ae-b25d4fde47b6"), new Object[]{ctx});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _initializePerson(ctx);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } catch (EASBizException ex0) {
            throw ex0;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _initializePerson(Context ctx) throws BOSException, EASBizException
    {    	
        return;
    }

    public void synRecoverPerson(Context ctx, int offSet, String personNumber) throws BOSException
    {
        try {
            ServiceContext svcCtx = createServiceContext(new MetaDataPK("6911725c-868b-41ea-b761-fdbc52e5bb49"), new Object[]{ctx, new Integer(offSet), personNumber});
            invokeServiceBefore(svcCtx);
              if(!svcCtx.invokeBreak()) {
            _synRecoverPerson(ctx, offSet, personNumber);
            }
            invokeServiceAfter(svcCtx);
        } catch (BOSException ex) {
            throw ex;
        } finally {
            super.cleanUpServiceState();
        }
    }
    protected void _synRecoverPerson(Context ctx, int offSet, String personNumber) throws BOSException
    {    	
        return;
    }

}